; Copyright (c) 2004-2010, Laurent Jorda, Stubbe F. Hviid
;   All rights reserves

FUNCTION init_nac_boresight, fname, IFAIL=ifail, DEBUG=debug

	; read the parameter file
	params = fw_load_tagfile(fname)


	; generate output
	ret = { $
        refpix:    [params.XCCD_REF,params.YCCD_REF], $
        pixsize:   [18.82,18.82]/1e6, $
        offset:    [params.XCCD,params.YCCD], $
        deltaroll: params.ROLL * !DPI/180.0 }

	ifail = 0
	return, ret
END
