; Copyright (c) 2004-2010, Stubbe F. Hviid
;   All rights reserves

PRO osiris_level2_to_level3_dir, level2_dir, level3_dir, CODMAC=CODMAC, EXTRA=_EXTRA

	if n_elements(level3_dir) eq 0 then begin
		t = level2_dir
		level2_dir = t + '/pds/level2'
		level3_dir = t + '/pds/level3'
	endif


	files = findfile(level2_dir + '/*.img')

	for i=0, n_elements(files)-1 do begin
		print, 'Processing: ' + files[i]
		p_read, files[i], h, d
		if osiris_level2_to_level3(h, d, hh, dd, _EXTRA=_EXTRA) ne 0 then begin
			fs = p_parse_file_path(files[i])
			if keyword_set(CODMAC) then begin
				fout = strmid(fs.name, 0, 31) + '3' + strmid(fs.name, 32) + '.img'
			endif else begin
				fout = strmid(fs.name, 0, 31) + '4' + strmid(fs.name, 32) + '.img'
			endelse
			p_write, level3_dir + '/' + fout, hh, dd
		endif
	endfor




END