; Copyright (c) 2005-2010, Stubbe F. Hviid
;   All rights reserved

FUNCTION edge_median, image, box_size

	s = size(image, /dim)

	tw = s[0]+2*box_size
	th = s[1]+2*box_size

	timg = dblarr(tw, th)

	timg[box_size: box_size + s[0] - 1, box_size: box_size + s[1] - 1] = image

	for i=0,box_size-1 do timg[i, box_size: box_size + s[1] - 1] = image[0, *]
	for i=0,box_size-1 do timg[box_size+s[0]+i, box_size: box_size + s[1] - 1] = image[s[0]-1, *]

	for i=0,box_size-1 do timg[box_size: box_size + s[0] - 1, i] = image[*, 0]
	for i=0,box_size-1 do timg[box_size: box_size + s[0] - 1, box_size + s[1] + i] = image[*, s[1]-1]

	timg[0:box_size-1, 0:box_size-1]         = image[0,0]
	timg[tw-box_size:tw-1, 0:box_size-1]     = image[s[0]-1, 0]
	timg[tw-box_size:tw-1, th-box_size:th-1] = image[s[0]-1, s[1]-1]
	timg[0:box_size-1, th-box_size:th-1]     = image[0, s[1]-1]

	timg = median(timg, box_size)
	return, timg[box_size: box_size + s[0] - 1, box_size: box_size + s[1] - 1]
END
